------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt4.Widgets;
with Qt_Ada.Internals.Object_Registry;
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Action_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Action_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Actions is

   procedure activate_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Event : Qt4.Actions.Action_Action_Event);
   pragma Import (C, activate_0_wrapper,
                     "__Qt4Ada_QAction_activate_0_wrapper");

   function autoRepeat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, autoRepeat_0_wrapper,
                     "__Qt4Ada_QAction_autoRepeat_0_wrapper");

   procedure data_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Variants.Internals.QVariant);
   pragma Import (C, data_0_wrapper,
                     "__Qt4Ada_QAction_data_0_wrapper");

   procedure font_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Fonts.Internals.QFont);
   pragma Import (C, font_0_wrapper,
                     "__Qt4Ada_QAction_font_0_wrapper");

   procedure icon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Icons.Internals.QIcon);
   pragma Import (C, icon_0_wrapper,
                     "__Qt4Ada_QAction_icon_0_wrapper");

   procedure iconText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, iconText_0_wrapper,
                     "__Qt4Ada_QAction_iconText_0_wrapper");

   function isCheckable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isCheckable_0_wrapper,
                     "__Qt4Ada_QAction_isCheckable_0_wrapper");

   function isChecked_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isChecked_0_wrapper,
                     "__Qt4Ada_QAction_isChecked_0_wrapper");

   function isEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isEnabled_0_wrapper,
                     "__Qt4Ada_QAction_isEnabled_0_wrapper");

   function isSeparator_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isSeparator_0_wrapper,
                     "__Qt4Ada_QAction_isSeparator_0_wrapper");

   function isVisible_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.bool;
   pragma Import (C, isVisible_0_wrapper,
                     "__Qt4Ada_QAction_isVisible_0_wrapper");

   function menuRole_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Actions.Action_Menu_Role;
   pragma Import (C, menuRole_0_wrapper,
                     "__Qt4Ada_QAction_menuRole_0_wrapper");

   function parentWidget_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return not null access Qt_Ada.Internals.Objects.QObject;
   pragma Import (C, parentWidget_0_wrapper,
                     "__Qt4Ada_QAction_parentWidget_0_wrapper");

   procedure setAutoRepeat_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Enable : Qt4.bool);
   pragma Import (C, setAutoRepeat_0_wrapper,
                     "__Qt4Ada_QAction_setAutoRepeat_0_wrapper");

   procedure setCheckable_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Checkable : Qt4.bool);
   pragma Import (C, setCheckable_0_wrapper,
                     "__Qt4Ada_QAction_setCheckable_0_wrapper");

   procedure setData_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Data : not null access constant Qt4.Variants.Internals.QVariant);
   pragma Import (C, setData_0_wrapper,
                     "__Qt4Ada_QAction_setData_0_wrapper");

   procedure setFont_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Font : not null access constant Qt4.Fonts.Internals.QFont);
   pragma Import (C, setFont_0_wrapper,
                     "__Qt4Ada_QAction_setFont_0_wrapper");

   procedure setIcon_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Icon : not null access constant Qt4.Icons.Internals.QIcon);
   pragma Import (C, setIcon_0_wrapper,
                     "__Qt4Ada_QAction_setIcon_0_wrapper");

   procedure setIconText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setIconText_0_wrapper,
                     "__Qt4Ada_QAction_setIconText_0_wrapper");

   procedure setMenuRole_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Menu_Role : Qt4.Actions.Action_Menu_Role);
   pragma Import (C, setMenuRole_0_wrapper,
                     "__Qt4Ada_QAction_setMenuRole_0_wrapper");

   procedure setSeparator_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     B : Qt4.bool);
   pragma Import (C, setSeparator_0_wrapper,
                     "__Qt4Ada_QAction_setSeparator_0_wrapper");

   procedure setShortcut_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Shortcut : not null access constant Qt4.Key_Sequences.Internals.QKeySequence);
   pragma Import (C, setShortcut_0_wrapper,
                     "__Qt4Ada_QAction_setShortcut_0_wrapper");

   procedure setStatusTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Status_Tip : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setStatusTip_0_wrapper,
                     "__Qt4Ada_QAction_setStatusTip_0_wrapper");

   procedure setText_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Text : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setText_0_wrapper,
                     "__Qt4Ada_QAction_setText_0_wrapper");

   procedure setToolTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Tip : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setToolTip_0_wrapper,
                     "__Qt4Ada_QAction_setToolTip_0_wrapper");

   procedure setWhatsThis_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     What : not null access constant Qt4.Strings.Internals.QString);
   pragma Import (C, setWhatsThis_0_wrapper,
                     "__Qt4Ada_QAction_setWhatsThis_0_wrapper");

   procedure shortcut_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Key_Sequences.Internals.QKeySequence);
   pragma Import (C, shortcut_0_wrapper,
                     "__Qt4Ada_QAction_shortcut_0_wrapper");

   procedure statusTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, statusTip_0_wrapper,
                     "__Qt4Ada_QAction_statusTip_0_wrapper");

   procedure text_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, text_0_wrapper,
                     "__Qt4Ada_QAction_text_0_wrapper");

   procedure toolTip_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, toolTip_0_wrapper,
                     "__Qt4Ada_QAction_toolTip_0_wrapper");

   procedure whatsThis_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Returns : not null access Qt4.Strings.Internals.QString);
   pragma Import (C, whatsThis_0_wrapper,
                     "__Qt4Ada_QAction_whatsThis_0_wrapper");

   procedure hover_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, hover_0_wrapper,
                     "__Qt4Ada_QAction_hover_0_wrapper");

   procedure setChecked_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     B : Qt4.bool);
   pragma Import (C, setChecked_0_wrapper,
                     "__Qt4Ada_QAction_setChecked_0_wrapper");

   procedure setDisabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     B : Qt4.bool);
   pragma Import (C, setDisabled_0_wrapper,
                     "__Qt4Ada_QAction_setDisabled_0_wrapper");

   procedure setEnabled_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     B : Qt4.bool);
   pragma Import (C, setEnabled_0_wrapper,
                     "__Qt4Ada_QAction_setEnabled_0_wrapper");

   procedure setVisible_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     B : Qt4.bool);
   pragma Import (C, setVisible_0_wrapper,
                     "__Qt4Ada_QAction_setVisible_0_wrapper");

   procedure toggle_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, toggle_0_wrapper,
                     "__Qt4Ada_QAction_toggle_0_wrapper");

   procedure trigger_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject);
   pragma Import (C, trigger_0_wrapper,
                     "__Qt4Ada_QAction_trigger_0_wrapper");

   pragma Style_Checks ("N");

   --------------
   -- Activate --
   --------------

   procedure Activate
    (Self : not null access Q_Action'Class;
     Event : Qt4.Actions.Action_Action_Event)
   is
   begin
      activate_0_wrapper
       (Self.QObject_View,
        Event);
   end Activate;

   -----------------
   -- Auto_Repeat --
   -----------------

   function Auto_Repeat
    (Self : not null access constant Q_Action'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (autoRepeat_0_wrapper
           (Self.QObject_View));
   end Auto_Repeat;

   ----------
   -- Data --
   ----------

   function Data
    (Self : not null access constant Q_Action'Class)
       return Qt4.Variants.Q_Variant
   is
      Returns : Qt4.Variants.Q_Variant;

   begin
      data_0_wrapper
       (Self.QObject_View,
        Qt4.Variants.Internals.QVariant_View (Returns));

      return Returns;
   end Data;

   ----------
   -- Font --
   ----------

   function Font
    (Self : not null access constant Q_Action'Class)
       return Qt4.Fonts.Q_Font
   is
      Returns : Qt4.Fonts.Q_Font;

   begin
      font_0_wrapper
       (Self.QObject_View,
        Qt4.Fonts.Internals.QFont_View (Returns));

      return Returns;
   end Font;

   ----------
   -- Icon --
   ----------

   function Icon
    (Self : not null access constant Q_Action'Class)
       return Qt4.Icons.Q_Icon
   is
      Returns : Qt4.Icons.Q_Icon;

   begin
      icon_0_wrapper
       (Self.QObject_View,
        Qt4.Icons.Internals.QIcon_View (Returns));

      return Returns;
   end Icon;

   ---------------
   -- Icon_Text --
   ---------------

   function Icon_Text
    (Self : not null access constant Q_Action'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      iconText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Icon_Text;

   ------------------
   -- Is_Checkable --
   ------------------

   function Is_Checkable
    (Self : not null access constant Q_Action'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isCheckable_0_wrapper
           (Self.QObject_View));
   end Is_Checkable;

   ----------------
   -- Is_Checked --
   ----------------

   function Is_Checked
    (Self : not null access constant Q_Action'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isChecked_0_wrapper
           (Self.QObject_View));
   end Is_Checked;

   ----------------
   -- Is_Enabled --
   ----------------

   function Is_Enabled
    (Self : not null access constant Q_Action'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isEnabled_0_wrapper
           (Self.QObject_View));
   end Is_Enabled;

   ------------------
   -- Is_Separator --
   ------------------

   function Is_Separator
    (Self : not null access constant Q_Action'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isSeparator_0_wrapper
           (Self.QObject_View));
   end Is_Separator;

   ----------------
   -- Is_Visible --
   ----------------

   function Is_Visible
    (Self : not null access constant Q_Action'Class)
       return Standard.Boolean
   is
   begin
      return
        Qt4.To_Boolean
         (isVisible_0_wrapper
           (Self.QObject_View));
   end Is_Visible;

   ---------------
   -- Menu_Role --
   ---------------

   function Menu_Role
    (Self : not null access constant Q_Action'Class)
       return Qt4.Actions.Action_Menu_Role
   is
   begin
      return
        menuRole_0_wrapper
         (Self.QObject_View);
   end Menu_Role;

   -------------------
   -- Parent_Widget --
   -------------------

   function Parent_Widget
    (Self : not null access constant Q_Action'Class)
       return not null access Qt4.Widgets.Q_Widget'Class
   is
   begin
      return
        Qt4.Widgets.Q_Widget'Class
         (Qt_Ada.Internals.Object_Registry.To_Q_Object
           (parentWidget_0_wrapper
             (Self.QObject_View)).all)'Access;
   end Parent_Widget;

   ---------------------
   -- Set_Auto_Repeat --
   ---------------------

   procedure Set_Auto_Repeat
    (Self : not null access Q_Action'Class;
     Enable : Standard.Boolean)
   is
   begin
      setAutoRepeat_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Enable));
   end Set_Auto_Repeat;

   -------------------
   -- Set_Checkable --
   -------------------

   procedure Set_Checkable
    (Self : not null access Q_Action'Class;
     Checkable : Standard.Boolean)
   is
   begin
      setCheckable_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (Checkable));
   end Set_Checkable;

   --------------
   -- Set_Data --
   --------------

   procedure Set_Data
    (Self : not null access Q_Action'Class;
     Data : Qt4.Variants.Q_Variant)
   is
   begin
      setData_0_wrapper
       (Self.QObject_View,
        Qt4.Variants.Internals.QVariant_View (Data));
   end Set_Data;

   --------------
   -- Set_Font --
   --------------

   procedure Set_Font
    (Self : not null access Q_Action'Class;
     Font : Qt4.Fonts.Q_Font)
   is
   begin
      setFont_0_wrapper
       (Self.QObject_View,
        Qt4.Fonts.Internals.QFont_View (Font));
   end Set_Font;

   --------------
   -- Set_Icon --
   --------------

   procedure Set_Icon
    (Self : not null access Q_Action'Class;
     Icon : Qt4.Icons.Q_Icon)
   is
   begin
      setIcon_0_wrapper
       (Self.QObject_View,
        Qt4.Icons.Internals.QIcon_View (Icon));
   end Set_Icon;

   -------------------
   -- Set_Icon_Text --
   -------------------

   procedure Set_Icon_Text
    (Self : not null access Q_Action'Class;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setIconText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Icon_Text;

   -------------------
   -- Set_Menu_Role --
   -------------------

   procedure Set_Menu_Role
    (Self : not null access Q_Action'Class;
     Menu_Role : Qt4.Actions.Action_Menu_Role)
   is
   begin
      setMenuRole_0_wrapper
       (Self.QObject_View,
        Menu_Role);
   end Set_Menu_Role;

   -------------------
   -- Set_Separator --
   -------------------

   procedure Set_Separator
    (Self : not null access Q_Action'Class;
     B : Standard.Boolean)
   is
   begin
      setSeparator_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (B));
   end Set_Separator;

   ------------------
   -- Set_Shortcut --
   ------------------

   procedure Set_Shortcut
    (Self : not null access Q_Action'Class;
     Shortcut : Qt4.Key_Sequences.Q_Key_Sequence)
   is
   begin
      setShortcut_0_wrapper
       (Self.QObject_View,
        Qt4.Key_Sequences.Internals.QKeySequence_View (Shortcut));
   end Set_Shortcut;

   --------------------
   -- Set_Status_Tip --
   --------------------

   procedure Set_Status_Tip
    (Self : not null access Q_Action'Class;
     Status_Tip : Qt4.Strings.Q_String)
   is
   begin
      setStatusTip_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Status_Tip));
   end Set_Status_Tip;

   --------------
   -- Set_Text --
   --------------

   procedure Set_Text
    (Self : not null access Q_Action'Class;
     Text : Qt4.Strings.Q_String)
   is
   begin
      setText_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Text));
   end Set_Text;

   ------------------
   -- Set_Tool_Tip --
   ------------------

   procedure Set_Tool_Tip
    (Self : not null access Q_Action'Class;
     Tip : Qt4.Strings.Q_String)
   is
   begin
      setToolTip_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Tip));
   end Set_Tool_Tip;

   --------------------
   -- Set_Whats_This --
   --------------------

   procedure Set_Whats_This
    (Self : not null access Q_Action'Class;
     What : Qt4.Strings.Q_String)
   is
   begin
      setWhatsThis_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (What));
   end Set_Whats_This;

   --------------
   -- Shortcut --
   --------------

   function Shortcut
    (Self : not null access Q_Action'Class)
       return Qt4.Key_Sequences.Q_Key_Sequence
   is
      Returns : Qt4.Key_Sequences.Q_Key_Sequence;

   begin
      shortcut_0_wrapper
       (Self.QObject_View,
        Qt4.Key_Sequences.Internals.QKeySequence_View (Returns));

      return Returns;
   end Shortcut;

   ----------------
   -- Status_Tip --
   ----------------

   function Status_Tip
    (Self : not null access constant Q_Action'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      statusTip_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Status_Tip;

   ----------
   -- Text --
   ----------

   function Text
    (Self : not null access constant Q_Action'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      text_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Text;

   --------------
   -- Tool_Tip --
   --------------

   function Tool_Tip
    (Self : not null access constant Q_Action'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      toolTip_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Tool_Tip;

   ----------------
   -- Whats_This --
   ----------------

   function Whats_This
    (Self : not null access constant Q_Action'Class)
       return Qt4.Strings.Q_String
   is
      Returns : Qt4.Strings.Q_String;

   begin
      whatsThis_0_wrapper
       (Self.QObject_View,
        Qt4.Strings.Internals.QString_View (Returns));

      return Returns;
   end Whats_This;

   -----------
   -- Hover --
   -----------

   procedure Hover
    (Self : not null access Q_Action'Class)
   is
   begin
      hover_0_wrapper
       (Self.QObject_View);
   end Hover;

   -----------------
   -- Set_Checked --
   -----------------

   procedure Set_Checked
    (Self : not null access Q_Action'Class;
     B : Standard.Boolean)
   is
   begin
      setChecked_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (B));
   end Set_Checked;

   ------------------
   -- Set_Disabled --
   ------------------

   procedure Set_Disabled
    (Self : not null access Q_Action'Class;
     B : Standard.Boolean)
   is
   begin
      setDisabled_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (B));
   end Set_Disabled;

   -----------------
   -- Set_Enabled --
   -----------------

   procedure Set_Enabled
    (Self : not null access Q_Action'Class;
     B : Standard.Boolean)
   is
   begin
      setEnabled_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (B));
   end Set_Enabled;

   -----------------
   -- Set_Visible --
   -----------------

   procedure Set_Visible
    (Self : not null access Q_Action'Class;
     B : Standard.Boolean)
   is
   begin
      setVisible_0_wrapper
       (Self.QObject_View,
        Qt4.To_bool (B));
   end Set_Visible;

   ------------
   -- Toggle --
   ------------

   procedure Toggle
    (Self : not null access Q_Action'Class)
   is
   begin
      toggle_0_wrapper
       (Self.QObject_View);
   end Toggle;

   -------------
   -- Trigger --
   -------------

   procedure Trigger
    (Self : not null access Q_Action'Class)
   is
   begin
      trigger_0_wrapper
       (Self.QObject_View);
   end Trigger;

end Qt4.Actions;
